Bug 495097 - Summary: SELinux is preventing mixer_applet2 from loading /usr/lib/i686/libavutil.so.49.10.0 which requires text relocation. Detailed Description: The mixer_applet2 application attempted to load /usr/lib/i686/libavutil.so.49.10.0 which requires text r
Summary: SELinux is preventing mixer_applet2 from loading /usr/lib/i686/liba...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-09 14:15 EDT by cdlyon255
Modified: 2009-12-18 04:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:13:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description cdlyon255 2009-04-09 14:15:17 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Summary:

SELinux is preventing mixer_applet2 from loading
/usr/lib/i686/libavutil.so.49.10.0 which requires text relocation.

Detailed Description:

The mixer_applet2 application attempted to load
/usr/lib/i686/libavutil.so.49.10.0 which requires text relocation. This is a
potential security problem. Most libraries do not need this permission.
Libraries are sometimes coded incorrectly and request this permission. The
SELinux Memory Protection Tests
(http://people.redhat.com/drepper/selinux-mem.html) web page explains how to
remove this requirement. You can configure SELinux temporarily to allow
/usr/lib/i686/libavutil.so.49.10.0 to use relocation as a workaround, until the
library is fixed. Please file a bug report
(http://bugzilla.redhat.com/bugzilla/enter_bug.cgi) against this package.

Allowing Access:

If you trust /usr/lib/i686/libavutil.so.49.10.0 to run correctly, you can change
the file context to textrel_shlib_t. "chcon -t textrel_shlib_t
'/usr/lib/i686/libavutil.so.49.10.0'" You must also change the default file
context files on the system in order to preserve them even on a full relabel.
"semanage fcontext -a -t textrel_shlib_t '/usr/lib/i686/libavutil.so.49.10.0'"

Fix Command:

chcon -t textrel_shlib_t '/usr/lib/i686/libavutil.so.49.10.0'

Additional Information:

Source Context                unconfined_u:unconfined_r:unconfined_t:s0
Target Context                system_u:object_r:lib_t:s0
Target Objects                /usr/lib/i686/libavutil.so.49.10.0 [ file ]
Source                        gnome-settings-
Source Path                   /usr/libexec/gnome-settings-daemon
Port                          <Unknown>
Host                          christoper.localdomain
Source RPM Packages           gnome-applets-2.24.3.1-1.fc10
Target RPM Packages           ffmpeg-libs-0.4.9-0.54.20080908.fc10
Policy RPM                    selinux-policy-3.5.13-48.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   allow_execmod
Host Name                     christoper.localdomain
Platform                      Linux christoper.localdomain
                              2.6.27.19-170.2.35.fc10.i686 #1 SMP Mon Feb 23
                              13:21:22 EST 2009 i686 i686
Alert Count                   63
First Seen                    Wed 11 Mar 2009 07:11:20 PM EDT
Last Seen                     Wed 25 Mar 2009 04:03:29 PM EDT
Local ID                      66afa80f-2ba3-4f08-b357-9ff744417770
Line Numbers                  

Raw Audit Messages            

node=christoper.localdomain type=AVC msg=audit(1238011409.680:17): avc:  denied  { execmod } for  pid=2529 comm="mixer_applet2" path="/usr/lib/i686/libavutil.so.49.10.0" dev=sda3 ino=196666 scontext=unconfined_u:unconfined_r:unconfined_t:s0 tcontext=system_u:object_r:lib_t:s0 tclass=file

node=christoper.localdomain type=SYSCALL msg=audit(1238011409.680:17): arch=40000003 syscall=125 success=no exit=-13 a0=f35000 a1=9000 a2=5 a3=bf9bc2a0 items=0 ppid=2514 pid=2529 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="mixer_applet2" exe="/usr/libexec/mixer_applet2" subj=unconfined_u:unconfined_r:unconfined_t:s0 key=(null)
Comment 1 Bug Zapper 2009-11-18 06:43:07 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:13:26 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.